package org.tbasket.api.compute

import zio.ZIO
import zio.http.model.Status
import zio.http.{Request, Response}

trait APIRequestHandler {
    
    def get: ZIO[Request, Throwable, Response] = ZIO.succeed(Response(Status.MethodNotAllowed))
    
    def post: ZIO[Request, Throwable, Response] = ZIO.succeed(Response(Status.MethodNotAllowed))
    
}
