package org.tbasket.db.schemas
import org.tbasket.db.Database
case class Tactic(id: Int, name: String, owner: User, filePath: String)

object Tactic {
    import Database.ctx._
    
    val schema = quote {
        querySchema[Tactic]("tactic",
            _.id -> "id",
            _.name -> "name",
            _.owner.id -> "owner_id",
            _.filePath -> "file_path"
        )
    }
}
