package org.tbasket.db.schemas

import org.tbasket.db.Database

case class Team(id: Int, name: String, clubName: String)
object Team {
    import Database.ctx._
    
    val schema = quote {
        querySchema[Team]("team",
            _.id -> "id",
            _.name -> "name",
            _.clubName -> "club_name"
        )
    }
    
}
